> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# This endpoint returns merchant groups categorized as pending, custom, or rejected.



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/user_merchant_groups
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/user_merchant_groups:
    get:
      tags:
        - UserMerchantGroups
      summary: >-
        This endpoint returns merchant groups categorized as pending, custom, or
        rejected.
      parameters:
        - description: The group_id of the merchant
          in: query
          name: group_id
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserMerchantGroupsSchema'
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    UserMerchantGroupsSchema:
      properties:
        custom_merchants:
          default: []
          items:
            $ref: '#/components/schemas/UserMerchantGroupSchema'
          type: array
        pending_merchants:
          default: []
          items:
            $ref: '#/components/schemas/UserMerchantGroupSchema'
          type: array
        rejected_merchants:
          default: []
          items:
            $ref: '#/components/schemas/UserMerchantGroupSchema'
          type: array
      type: object
    UserMerchantGroupSchema:
      properties:
        group_id:
          type: string
        merchant_heron_id:
          type: string
        merchant_name:
          type: string
      required:
        - merchant_heron_id
        - merchant_name
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````